Bug 106105 - crash SdrEditView::DeleteMarkedList
Summary: crash SdrEditView::DeleteMarkedList
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.6.1 rc
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-20 14:48 UTC by Caolán McNamara
Modified: 2017-02-28 16:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2017-02-20 14:48:56 UTC
Description:
load odt, click 2027, shift click arrow, click 2027 twice, backspace and crash

Actual Results:  
crash

Expected Results:
no crash


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Caolán McNamara 2017-02-20 14:51:43 UTC
the box is added to the selection, then the arrow, then the box again and the box again, when the list is sorted and uniqed we end up with three elements in the list, not 2, the box is there twice. When we delete the box we encounter it again and try and delete it again

this appears to have gone wrong since

commit aa11e7bae89fe691f914abb27d1c4a03d27a7ee5
Date:   Tue Aug 14 16:31:53 2012 +0200

    Convert maList in SdrMarkList from Container to std::vector
    
    Change-Id: I1e975805a82dcf273cde8a9deba4a7e31dbd72b2
Comment 2 Commit Notification 2017-02-20 14:55:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35bb22c1a834b306c910cb065bc006818c9fa9b3

Resolves: tdf#106105 duplicate marks not merged when they are at the start

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2017-02-20 14:58:43 UTC
I bet there are a lot of the crash reports duplicates of this
Comment 4 Commit Notification 2017-02-21 13:44:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=213c129049f0bfa36a843f59be8614e4fc5fc362&h=libreoffice-5-3

Resolves: tdf#106105 duplicate marks not merged when they are at the start

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-02-28 16:54:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d1582dedfd41cbc28c6b5383deace28a77a6114&h=libreoffice-5-3-1

Resolves: tdf#106105 duplicate marks not merged when they are at the start

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.